
Foreman - Feature #13831

on the fly created user should have an optional default org / location.

02/22/2016 05:39 AM - Ohad Levy

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1246670 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1246670

Description of problem:

Users added by Foreman when "Automatically create accounts in Foreman" is checked (in the LDAP Authentication/Accounts area)

do not show in Administer->Users.

When you run hammer user list the users that are auto-created shown.

Version-Release number of selected component (if applicable):

Satellite 6.1b (will update with Foreman version ASAP)

How reproducible:

always

Steps to Reproduce:

1. Add an external LDAP Auth source

2. Check the "Automatically create accounts in Foreman" box

3. Attempt to log in with an LDAP account

4. Note that after the attempt, looking at Administer->Users in the WebUI doesn't show the user that was created, but "hammer user

list" on the CLI does.

Actual results:

Only the admin user is shown in the WebUI

Expected results:

All users are shown in the WebUI.

Additional info:

Related issues:

Is duplicate of Foreman - Feature #6372: Users authenticated via external lda... Closed 09/21/2016 09/21/2016

History

#1 - 02/22/2016 05:40 AM - Ohad Levy

really the ask here, is to have a default org / loc users are auto added when using on the fly user creation / external auth.

#2 - 02/22/2016 05:41 AM - Ohad Levy

- Tracker changed from Bug to Feature

- Subject changed from Users added automatically by Foreman do not show in Administer->Users. to on the fly created user should have an optional

default org / location.

- Assignee deleted (Ohad Levy)

#3 - 02/22/2016 05:44 AM - Dominic Cleal

- Is duplicate of Feature #6372: Users authenticated via external ldap contain no default context/location added
#4 - 02/22/2016 05:44 AM - Dominic Cleal

- Status changed from New to Duplicate
